Summary:	Firewall log analyzer, report generator and realtime response agent
Name:		fwlogwatch
Version:	1.3
Release:	1
Group:		Monitoring
License:	GPL
URL:		http://fwlogwatch.inside-security.de/
Source0:	%{name}-%{version}.tar.bz2
Source1:	fwlogwatch.init
Source2:	fwlogwatch.sysconfig
Patch0:		fwlogwatch-mdv_conf.diff
BuildRequires:	adns-devel
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	zlib-devel

%description
fwlogwatch produces ipchains, netfilter/iptables, ipfilter, Cisco IOS and
Cisco PIX log summary reports in text and HTML form and has a lot of options
to find and display relevant patterns in connection attempts. With the data
found it can also generate customizable incident reports from a template and
send them to abuse contacts at offending sites or CERT coordination centers.
Finally, it can also run as daemon and report anomalies or start
countermeasures.

%prep

%setup -q
%patch0 -p1 -b .paths

cp %{SOURCE1} fwlogwatch.init
cp %{SOURCE2} fwlogwatch.sysconfig

chmod 644 contrib/fwlogsummary.cgi contrib/fwlogsummary_small.cgi

# fix encoding
perl -pi -e "s|iso-8859-1|UTF-8|g" *.c

%build
%serverbuild

%make CFLAGS="$CFLAGS -DHAVE_ZLIB -DHAVE_GETTEXT -DHAVE_IPV6 -DHAVE_ADNS" LIBS="-L%{_libdir} -lcrypt -lz -ladns"

# fix encoding
pushd po

for i in de pt sv; do
    perl -pi -e "s|ISO-8859-1|UTF-8|g" $i.po
    iconv --from-code=ISO-8859-1 --to-code=UTF-8 $i.po > $i.po.new; mv $i.po.new $i.po
done

for i in de ja pt sv zh_CN zh_TW; do
    msgfmt -v -o $i.mo $i.po
done

popd

%install
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8

install -m0755 fwlogwatch.init %{buildroot}%{_initrddir}/%{name}
install -m0644 fwlogwatch.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

install -m0755 fwlogwatch %{buildroot}%{_sbindir}
install -m0755 contrib/fwlw_notify %{buildroot}%{_sbindir}
install -m0755 contrib/fwlw_respond %{buildroot}%{_sbindir}
install -m0644 fwlogwatch.8 %{buildroot}%{_mandir}/man8
install -m0644 fwlogwatch.config %{buildroot}%{_sysconfdir}/

for i in de ja pt sv zh_CN zh_TW; do
    install -d %{buildroot}%{_datadir}/locale/${i}/LC_MESSAGES
    install -m0644 po/${i}.mo %{buildroot}%{_datadir}/locale/${i}/LC_MESSAGES/fwlogwatch.mo
done

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING CREDITS ChangeLog README
%doc contrib/fwlogsummary.cgi contrib/fwlogsummary_small.cgi
%doc contrib/fwlogwatch.php contrib/fwlw_notify contrib/fwlw_respond
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/fwlogwatch.config
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/fwlogwatch
%{_sbindir}/fwlw_notify
%{_sbindir}/fwlw_respond
%{_mandir}/man8/fwlogwatch.8*


%changelog
* Sat Dec 17 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.3-1
+ Revision: 743388
- update version 1.3

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2-2
+ Revision: 664398
- mass rebuild

* Thu Nov 11 2010 Lonyai Gergely <aleph@mandriva.org> 1.2-1mdv2011.0
+ Revision: 595935
- 1.2
  Rediffed: fwlogwatch-mdv_conf.diff

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-9mdv2010.1
+ Revision: 520111
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-8mdv2010.0
+ Revision: 424507
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.1-7mdv2009.0
+ Revision: 264521
- rebuild early 2009.0 package (before pixel changes)

* Mon May 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-6mdv2009.0
+ Revision: 206190
- major rework, fixes a bug reported on the cooker ml (Maxim Heijndijk)
- rediffed the path patch (now fwlogwatch-mdv_conf.diff)
- enable ipv6 and adns

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-5mdv2008.1
+ Revision: 178847
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Jun 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.1-3mdv2008.0
+ Revision: 45372
- rebuild for 2008
- Import fwlogwatch

